pydo.microvm_access_tokens.list()

Generated on 13 Nov 2026 from pydo version v0.46.0

Usage

client.microvm_access_tokens.list(
    microvm_id="01a0ef1a-d873-793d-ae6a-5dd6239be62a",
)
Returns JSON Raises HttpResponseError

Description

To list the live access tokens of a MicroVM, send a GET request to /v2/microvms/{microvm_id}/access_tokens. Tokens are returned oldest first. Token values are never returned. The id of an entry revokes the token with DELETE /v2/microvms/{microvm_id}/access_tokens/{token_id}.

Parameters

microvm_id string required

The unique ID of the MicroVM.

Response Example

Show Response Example
{
  "access_tokens": [
    {
      "id": "4f6a1c2e-9d3b-4e7a-8f10-2b5c7d9e1a33",
      "micro_vm_id": "01a0ef1a-d873-793d-ae6a-5dd6239be62a",
      "name": "alice-workspace",
      "created_at": "2026-10-21T14:02:11Z",
      "expires_at": "2026-11-20T14:02:11Z"
    }
  ]
}

More Information

See /v2/microvms/{microvm_id}/access_tokens in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.